package com.epson.mobilephone.common.license;

import android.content.Context;


public abstract class DefaultLicenseInfo implements LicenseInfo {
    private String getDefaultSoftwareLicense(@NonNull Context context) {
        return C1073Util.getStringFromRawResource(context, C1066R.raw.eula);
    }

    private String getDefaultPrivacyStatement(@NonNull Context context) {
        return C1073Util.getStringFromRawResource(context, C1066R.raw.privacy);
    }

    public String getDocumentString(@NonNull Context context, int i) {
        switch (i) {
            case 2:
                return getDefaultPrivacyStatement(context);
            case 3:
                return "";
            default:
                return getDefaultSoftwareLicense(context);
        }
    }
}
